#!/usr/bin/env node
const path = require("path");
const cac = require("cac");
const cli = cac("sao");
const sao = require("sao");

var PATH = path.dirname(require.main.filename);

cli
  .command("[outDir]", "Generate a new vue component")
  .action((outDir, flags) => {
    var generator = PATH + "/../bootstrap-theme";
    const options = Object.assign(
      {
        generator: generator,
        outDir: outDir || ".",
        updateCheck: true,
      },
      flags
    );

    return sao(options)
      .run()
      .catch((err) => {
        sao.handleError(err);
      });
  });

cli.parse();
