# Create Bootstrap Theme
Helps to create css file with color variables

1. Create repository on github:InComNetworking . Example is `vue-bootstrap-theme-dark`.
  Replace **name** with your component name. like `vue-bootstrap-theme-dark`

2. Clone repository localy.

3. Init default component structure.
  You have to run this command from folder above your local folder for repository
  ```
npm create github:InComNetworking/widget-component vue-bootstrap-theme-dark

Need to install the following packages:
  github:InComNetworking/create-bootstrap-theme
Ok to proceed? (y)
? What is the name of the new project vue-bootstrap-theme-dark
? How would you descripe the new project  Vue component project
info Created vue-bootstrap-theme-dark/.eslintignore
info Created vue-bootstrap-theme-dark/.eslintrc.cjs
info Created vue-bootstrap-theme-dark/.gitattributes
info Created vue-bootstrap-theme-dark/.editorconfig
info Created vue-bootstrap-theme-dark/vite.config.js
info Created vue-bootstrap-theme-dark/package.json
info Created vue-bootstrap-theme-dark/index.html
info Created vue-bootstrap-theme-dark/src/index.js
info Created vue-bootstrap-theme-dark/src/App.vue
info Created vue-bootstrap-theme-dark/src/vue-widget-component.html
info Created vue-bootstrap-theme-dark/src/vue-widget-component.scss
info Created vue-bootstrap-theme-dark/src/main.js
info Created vue-bootstrap-theme-dark/src/vue-widget-component.vue
info Moved vue-bootstrap-theme-dark/src/vue-widget-component.vue -> vue-bootstrap-theme-dark/src/vue-bootstrap-theme-dark.vue
info Moved vue-bootstrap-theme-dark/src/vue-widget-component.scss -> vue-bootstrap-theme-dark/src/vue-bootstrap-theme-dark.scss
info Moved vue-bootstrap-theme-dark/src/vue-widget-component.html -> vue-bootstrap-theme-dark/src/vue-bootstrap-theme-dark.html
success Initialized empty Git repository
success Installed packages
success Generated into /Users/gor/incomrealestate.com/vue-bootstrap-theme-dark

```

4. Start your local dev server:
```
cd vue-bootstrap-theme-dark
npm run dev

  VITE v3.0.2  ready in 363 ms

  ➜  Local:   http://localhost:5173/
  ➜  Network: use --host to expose

```

5. Your component code is in src folder file : vue-bootstrap-theme-dark.vue

Next files is help files to develop component:
```
App.vue
index.js
main.js
```

6. New created component now can be used as a npm package in your application
  - install npm package from repository
    `npm install github:InComNetworking/vue-bootstrap-theme-dark`
  - import component in your code
    ```
    import VueComponentName from "#/vue-bootstrap-theme-dark/src/vue-bootstrap-theme-dark.vue";
    ...
    <template>
    ...
    <VueComponentName :text="'some text'"/>
    ...
    ```
